Skip to content

Update a notification

PATCH
/api/v1/notifications/{notification_id}
curl --request PATCH \
--url https://renotify.app/api/v1/notifications/bc_l5jxRWHy0WZk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "Welcome Series", "template_name": "welcome_new_user", "provider": "whatsapp_cloud", "channel_id": 1, "schedule_type": "recurring", "schedule_date": "2026-01-15", "schedule_time": "09:00", "schedule_interval": "weekly", "schedule_custom_interval": 14, "schedule_weekdays": [ "mon", "wed" ], "schedule_month_days": [ 1, 15 ], "enabled": true, "template_language": "zmiyvdljnikhwayk", "message_category": "marketing", "variables": null, "reply_bot_id": 16, "target_group_id": 2 }'

Update an existing notification schedule.

notification_id
required
string

The ID of the notification.

Example
bc_l5jxRWHy0WZk
Media typeapplication/json
object
name
required

The notification name.

string
Example
Welcome Series
template_name
required

The provider template name.

string
Example
welcome_new_user
provider

The messaging provider to use.

string
nullable
Example
whatsapp_cloud
channel_id

The channel ID to send through.

integer
nullable
Example
1
schedule_type

The schedule mode.

string
nullable
Example
recurring
schedule_date

The send date for one-off notifications.

string
nullable
Example
2026-01-15
schedule_time

The send time in 24-hour format.

string
nullable
Example
09:00
schedule_interval

The recurring interval.

string
nullable
Example
weekly
schedule_custom_interval

The number of days for a custom interval.

integer
nullable
Example
14
schedule_weekdays

The weekdays to use for weekly sends.

Array<string>
Example
[
"mon",
"wed"
]
schedule_month_days

The month days to use for monthly sends.

Array<string>
Example
[
1,
15
]
enabled

Whether the notification is enabled.

boolean
Example
true
template_language

Must not be greater than 20 characters.

string
nullable
Example
zmiyvdljnikhwayk
message_category
string
Allowed values: marketing utility
Example
utility
variables
object
header

Must not be greater than 1024 characters.

string
nullable
Example
c
body

Must not be greater than 1024 characters.

Array<string>
Example
[
"m"
]
button

Must not be greater than 1024 characters.

string
nullable
Example
y
Example
null
reply_bot_id

Must match an existing stored value.

integer
nullable
Example
16
target_group_id

The target group ID to send to.

integer
nullable
Example
2